//: ## Identifiers
//: In Swift, a name is formally called an _identifier_. You will most often see the term _identifier_ used in error messages. Programmers usually use the more informal word _name_. This course will use both terms, so you can get familiar with them.
//:
//: Names for constants start with a lowercase letter. As in the examples below, they can include a few words, all run together. That’s because Swift will think each word is a different identifier if there’s a space in between.
//:
//:To make it easier to read identifiers with multiple words, every word after the first word should be capitalized. This way of writing out names is called _camel case_, because the capital letters in the middle of the name look a bit like the humps of a camel. 🐫
let numberOfDogs = 6 + 2

let numberOfCats = 5 - 1

let numberOfTurtles = 2 + 1

let numberOfHamsters = 1 + 1

let totalNumberOfAnimals = numberOfDogs + numberOfCats + numberOfTurtles + numberOfHamsters

let totalNumberOfMammals = numberOfDogs + numberOfCats + numberOfHamsters

//: - experiment: There are even more changes in the pets expected at the pet show.\
//:To add new kinds of animals, add new lines of code that define new constants. (To add a new line of code just click on a blank line in the area above and start typing.)
//:
//: Make the following additions:
//: - Someone is bringing a pot-bellied pig (a mammal)
//: - Someone is bringing a fish (not a mammal)
//: - Someone is bringing a snake (definitely not a mammal)
//:
//: Next, learn about choosing names. 
//:
//:[Previous](@previous)  |  page 6 of 14  |  [Next: Choosing Good Names](@next)
