//: ## Programmer Talk
//: Being an app developer is more than figuring out what to type into Xcode. Programmers work together to discuss how to solve problems and explain things to each other. So it’s important to learn the terminology programmers use.
//:
//: In this course, you’ll learn how to write code and create apps, but you’ll also learn the terms you need to talk about code with other developers.
//:
//: For example, a ‘line of code’ is more formally known as a _statement_.
//:
//: You’ve already seen the terms _constant_ and _identifier_ in this playground. Take a closer look at the statement below to understand some additional terms.
let numberOfDogs = 101
//: When you define a constant in Swift, it’s called _declaring_ a constant. So the statement above is known as a _declaration_. “I declare that the name `numberOfDogs` has the value `101`!”.
//:
//: The word `let` is an example of a _keyword_. Keywords have special meaning in Swift and cannot be used as names.  The `let` keyword is used to declare a constant. Over time, you’ll be introduced to more Swift keywords.
//:
//: The part of the statement `= 101` is where you _assign_ a value to the constant. This is called _assignment_ and the equal sign `=` is called the _assignment operator_.
//:
//: - note: Don’t focus too much on memorizing every new term immediately - it can be overwhelming. You’ll see the terms used in context during the rest of the course, and you can always find them in the Glossary of the Student Guide if you need to refresh your memory.
//:
//:[Previous](@previous)  |  page 8 of 14  |  [Next: Wrapup](@next)
