/*:
 ## Messages from Programmers
 
 Why would you want to print to the console when you have a perfectly good results sidebar?

 - The results sidebar is a feature of playgrounds. When you’re making apps in Xcode, you don’t get a results sidebar.
 - The results sidebar can only show a small amount of information, on a single line.
 - If you’re using code that was written by other people, the console is where you’ll see their direct messages about their code. For example, try uncommenting the line below and checking the console output:
 */
//theAnswer

/*:
 That was a lot of console noise! Remember, you can either drag the top bar up to make the console area bigger, or scroll vertically through the text if it doesn’t all fit.
 
 - note:
 Your Xcode setup might open the console every time it has a message. If you like, you can leave it open while you work. But if you find that the console area is getting in the way of your code, you can always drag the top bar to make it shorter.

 Next, find out what you can send to the console.
 
[Previous](@previous)  |  page 6 of 11  |  [Next: What Can You Print?](@next)
 */
