/*:
 ## What Can You Print?
 
 Anything that you’d see in the results sidebar, you can `print` to the console.
 
 Open the results sidebar and confirm this for yourself by checking the examples.
 
 > The `\n` you see in the results sidebar for the print statements is because `print` adds a new line at the end of the string. Otherwise the console would have everything printed on the same line.
 
 You can print strings:
*/
"Hello, world!"
print("Hello, world!")
//: Numbers and calculations:
8
print(8)
7 + 11
print(7 + 11)
//: String expressions:
"Have you seen" + "..." + "nevermind."
print("Have you seen" + "..." + "nevermind.")
//: Constants:
let authorName = "Beatrix Potter"
print(authorName)
let bookTitle = "Jemima Puddleduck"
print(bookTitle)
/*:
 The result of whatever’s inside the parentheses will appear in the console.
 
 - callout(Experiment): Look for the following statements in the results sidebar, then make each statement print to the console, following the example.\
Before:\
`authorName`\
After:\
`print(authorName)`
*/
authorName
"authorName"
"Did you know that \(bookTitle) was written by \(authorName)?"

//:Next, find out a common use for the console. 
//:
//: [Previous](@previous)  |  page 7 of 11  |  [Next: Logging](@next)
