/*:
## Calling a Function
 
You probably didn’t realize it at the time, but you’ve already taken advantage of abstraction and functions when you used `print()` to print “Hello, world!” to the console. In Swift, `print()` is a function. When you use it, you are _calling_ the function:
*/
print("Hello, world!")
print(360)
/*:
Just as you perform many activities when you get dressed, many things happen when you call the `print()` function, including:
- Turning whatever you hand in to it, including numbers, into a string.
- Adding a newline character, so each call to `print()` ends up on a new line.
- Making that string show up in the console.

In this case, you’re calling a function that someone else has already created. You don’t need to know every detail about how `print()` works in order to call it.

This is a large part of what makes functions so powerful. They provide a way to combine detailed steps into a definition that can be used again and again.
 
For the rest of this playground, you’ll practice calling functions and learn how to define functions of your own.
 
 [Previous](@previous)  |  page 2 of 12  |  [Next: Repeating Yourself](@next)
*/
