/*:
 ## Get Dressed
 
 Imagine a friend invites you to go see a movie. You slept late, so you reply, “Meet you there. I just need to get dressed.”
 
 Your friend knows what you mean by “get dressed,” but doesn't know the details, like what shirt you’ll put on.
 
 Now think about the details of everything you did to get dressed today: deciding what to wear, getting clothes out of a dresser or a closet, putting on each piece of clothing.
 
 The words “get dressed” seem so simple, but when you think about every detail that’s involved in getting dressing, you understand those two words represent a lot of complexity.
 
 Using a phrase like “get dressed” gives us a way to talk and think about the process of getting dressed without needing to think about every specific detail.
 
 People do this all the time. Phrases like “go to the dentist,” “make a sandwich,” or “meet for coffee” describe activities that would be very tedious to talk about step by detailed step.
 
 The idea of taking something complex and defining a simpler way to refer to it is called *abstraction*. Abstraction is a fundamental idea in software development. It’s how programmers keep from getting overwhelmed by details and complexity.
 
 In this lesson you’ll learn how to define and use _functions_, one of the most fundamental ways to define abstraction in code.
 
 - Experiment: Take a few minutes to think about other simple phrases that represent much more complicated activities or ideas.

 Next, learn how programmers also use simple phrases to refer to more complicated operations.
 
 page 1 of 12  |  [Next: Calling a Function](@next)
 */
