/*:
 ## APIs
 
 App developers always work with code provided by others. In the case of BoogieBot, a number of functions are defined that make BoogieBot start, move, and change colors.
 
 The set of functions that control BoogieBot is an example of an _Application Programming Interface_, more commonly known as an _API_.
 
 An API is a specific set of functionality that can be used by a software developer to accomplish a task. In this case, the BoogieBot API is making a software robot dance.
 
  ### BoogieBot API
 Start BoogieBot:
 - `startBot()`
 
 Move BoogieBot:
 
 - `leftArmUp()`, `leftArmDown()`, `rightArmUp()`, `rightArmDown()`
 - `leftLegUp()`, `leftLegDown()`, `rightLegUp()`, `rightLegDown()`
 - `shakeItLeft()`, `shakeItRight()`, `shakeItCenter()`
 - `jumpUp()`, `jumpDown()`
 
 Change BoogieBot Color:
 - `fabulize()`, `defabulize()`
 
 Next, learn how to put these functions together to make dance routines.
 
 [Previous](@previous)  |  page 4 of 13  |  [Next: Routines](@next)
 */
