/*:
 ## Confusing Changes
 
 You may have experienced the confusion that can happen when things change.
 
 Imagine you are meeting a group of six friends at the movies at 8 p.m.
 
 You receive a message that the plan has changed, you are now seeing a different movie at a different theater and will be meeting at 9 p.m.
 
 A little later you receive another message that the plan has changed again. Now you are just going to hang out at your friend’s house and watch a movie there.  The time is changed to 6 p.m, and you’ll order pizza.
 
 Then you receive another message that you’re going to be at your other friend’s house, but at 6:30 p.m.
 
 - experiment: With all of these changes, how likely is it that everyone is going to end up at the right place at the right time?\
\
Would mistakes be less likely if the plan didn't change?
 
 Anytime you make a change, there’s a chance that someone who relies on the information ends up using the old information and making a mistake.
 
 The same is true in programming. If you can make something a constant, you guarantee the value will never change. There is no chance another part of your program can get out of sync or use an old value.
 
 Sometimes you do need to use variables. Things do change in a program as it runs. In programming, something that is able to change is called _mutable_, based on the word _mutate_, which just means “to change”.
 
 Something that is unable to be changed is called _immutable_. As a rule of thumb, if something doesn't need to change, always use a constant to reduce the chance of confusion and errors.
 
 Speaking of errors, move on to learn about a common error when working with constants and variables.
 */
//: [Previous](@previous)  |  page 6 of 13  |  [Next: Trying to Change a Constant](@next)
