/*:
 ## Declaring Variables
 
 Declaring a variable is almost exactly like declaring a constant. But instead of using the keyword `let`, you use the keyword `var`:
 */
// Declaring a constant
let placeOfBirth = "New Jersey"

// Declaring a variable
var currentLocation = "New Jersey"

/*:
 Once you have declared a variable, you can assign a new value to it:
*/
// Assigning a new value to a variable
currentLocation = "California"

/*:
 - experiment: Below, add a line of code that assigns a new value to `currentLocation`:
 */
// Assign a new value

/*:
 In most ways, constants and variables are the same:
- Both use the same rules for names
- Both associate a name with an assigned value
- Both have a specific type
 
 The difference is:
 - The value of a constant *cannot* be changed after it is first assigned
 - The value of a variable *can* be changed after it is first assigned

Next, learn how to work with variables.
 */
//: [Previous](@previous)  |  page 3 of 13  |  [Next: Working with Variables](@next)
