/*:
 ## Beyond the Standard Library
 
 Programmers can also create their own types by combining and adding to the types and capabilities in the standard library. You’ll create your own as you progress through this course.
 
 - callout(Experiment):
 Take one of your made-up types from the experiment on the previous page, and imagine what types it might depend on. For example, a `TrainingShoe` might use an `Int` for a size, a `String` for a brand name, a `Date` for its release date, and another `Int` for its price in dollars.


 Types and capabilities can be grouped together into collections called _frameworks_ or _libraries_. When making apps, you can draw from frameworks included within Xcode. One very important framework is the *Foundation* framework.
 
 The Foundation framework introduces lots of types used to represent more specific things than just strings or numbers from the Swift standard library. For example, there are types for dates, distances, and files on a computer.
 
 These extra frameworks aren't added automatically to your programs, because you might not need them. It would be like taking everything you own on a quick trip to the mall.
 
 You’ll learn how to add frameworks to your programs on the next page. 
 
[Previous](@previous)  |  page 10 of 13  |  [Next: Importing Frameworks](@next)
*/
