/*:
 ## Types
 In Swift, every value has a _type_.
 
 Just like types of things in everyday life, each type in Swift has its own set of properties and behaviors.

 You’ve already worked with two different types of values:
 
 - Strings like `"Hello"` and `"Wimbledon"`
 - Numbers like `101` and `-10`
 */
let string = "I am a string"
let number = 12
//: You’ve also seen that these types behave differently. What happens when, for example, you add them together?
1 + 1 // Equals 2
"1" + "1" // Equals "11"
/*:
 The name of the string type in Swift is, conveniently enough, `String`.
 
 The name of the number type you’ve been using is `Int`, an abbreviation of integer. An `Int` value is a whole number with no fractional component. An `Int` can be a positive number, a negative number, or zero.
 
 So far, you’ve only been introduced to two types, but there are many more to come. Learning how to use different types and even creating new types of your own will be a big part of learning to program.
 
 Imagine a toolbox with a socket wrench, a screwdriver, pliers, and a hammer. Each type of tool is good for certain tasks — and not at all useful for others. Every time you learn how to use a new type in Swift, you’re adding a new tool to your programming toolbox.
 
 Take a moment to picture your favorite shirt, then move on to the next page.
 
[Previous](@previous)  |  page 2 of 13  |  [Next: Favorite Shirt](@next)
 */
