/*:
 ## Where Do Types Come From? 
 
 Swift has built-in types that represent the basic building blocks of all programs. You have spent a lot of time with `String` and `Int`, there are also many more.
 
 They’re part of the _Swift standard library_. All programming languages have something similar — the basic set of capabilities required to do fundamental programming tasks.
 
 You’ve spent a lot of time with `String` and `Int` types, but there are also many more. Here are a few of the other types from the Swift standard library. Don't worry about what any of them mean right now, though feel free to take a guess:
 
 - `AnyCollection`
 - `JoinedSequence`
 - `CharacterView`
 - `Slice`
 - `Range`
 - `Int64`
 
 Notice that all the type names begin with a capital letter and — if there are multiple words — the first letter of each word is also capitalized. This is slightly different from the rules for naming constants, variables, and functions, which all begin with  lower-case letters.
 
 The difference is intentional. Becuase names of types begin with a capital letter, it’s easy to tell them apart from the names of functions, variables and constants. Both use camel case, but types use _upper camel case_ as opposed to _lower camel case_.
 
 - Experiment: Think of some types of your own and how they'd look in upper camel case, like `TrainingShoe` or `RacingBike`. 

 There are more types available. Find out where they come from on the next page.
 
[Previous](@previous)  |  page 9 of 13  |  [Next: Beyond the Standard Library](@next)
*/
