/*:
 ## True and False
 
 In the game 20 Questions, you can identify anything in the universe just by asking questions with a *yes* or *no* answer. Questions with simple answers can be very powerful.
 
 You can write code that can be thought of as a question, and Swift will tell you if the answer is _true_ or _false_. You can see the results in the sidebar, just like when you entered calculations.
 
 In fact, `true` and `false` are special values in Swift, as you can see:
*/
true
false
//: They can be assigned to constants, just like numbers or strings:
let yes = true
yes
let no = false
no
//: The values `true` and `false` are known as _Boolean values_, named after George Boole, a 19th century mathematician who realized how important it is to ask clear questions with simple answers. The `Bool` type is used in Swift to represent Boolean values. The _only_ possible `Bool` values are true and false. The following line of code would give an error:
//let perhaps = maybe
//: If `true` and `false` are the answers, how do you ask the questions?
//:
//: [Previous](@previous)  |  page 2 of 13  |  [Next: Equality](@next)
