/*:
 ## APIs, Revisited
 
 You learned about the concept of an API (Application Programming Interface) with BoogieBot. The instance methods and properties of a `String` are the API of the `String` type. 
 
 There are many ways to find out about the API that a type offers. 
 
 If you can sort-of-remember the name of a method or property, you can just start typing and Xcode will offer you autocompletion suggestions. Programmers autocompletion pop-up menu all the time. Here you can see the autocompletion suggestions for "`.has`" when used on a `String` instance:
 
 ![Autocomplete popup](Autocomplete.png)
 
 Don't worry if most of these options don't make sense to you right now. You can see `hasPrefix`, which you know about, and you can probably make a good guess at what `hasSuffix` does as. As you enter more characters, fewer options will appear in the list. You can use the cursor keys to select an option, and the Tab key to complete it and keep on typing.
 - callout(Exercise): Use the autocompletion popup to access the `isEmpty`, `hasPrefix`, and `hasSuffix` properties and methods of `example`. Try using the keyboard to select options.
*/
let example = "It was the best of times"
// Practice here by typing . after "example":
example






/*: 
 APIs also come with documentation to help you learn about them and see how they should be used.
 
[Previous](@previous)  |  page 8 of 17  |  [Next: What Does This Do?](@next)
*/
