/*:
 ## Classes and Structs
 
 As you look up APIs in Quick Help or the documentation, you’ll see type declarations like the following for `String`.\
 At the top of the pane you’ll see the declaration `struct String`:
 
 ![Quick Help inspector pane for String](StringQuickHelp.png)

 When you begin investigating other frameworks, you’ll come across type declarations like the following for `UIColor`:
 
 ![Quick Help inspector pane for UIColor](UIColorQuickHelp.png)
 
 As you build apps in Swift, you’ll work with instances of both _structs_ (short for _structures_) and _classes_. Both provide a way to define types in Swift.
 
 For now, it’s enough to know that structs and classes have many similarities:
 
- Both have instances
- Instances are created with an initializer
- Both can have methods
- Both can have properties
 
When you create and use instances, you’ll write the same Swift code whether a type is a struct or class.
 
For the remainder of the course, you’ll get more practice creating instances and using methods and properties. In a later lesson, you’ll also learn how to define structs of your own. Exploring the differences between classes and structs is beyond the scope of this course, but as you get experience using both, you’ll be well prepared for learning about the differences later.

 What are the benefits of using methods and properties?
 
[Previous](@previous)  |  page 12 of 17  |  [Next: Why Methods and Properties?](@next)
 */
