/*:
 ## Instances
 
 You’ve already worked with a variety of types in Swift, such as `String`. An individual `String` value, like "hello", is called an _instance_ of that type.
 
 - `String` is a type
 - `"hello"` is an _instance_ of a `String`.
 
You’ve been creating instances of type `Int` and `String` for a while now. In fact, each value you make in a program is an instance of its type.
 
The constants `hello` and `aDifferentHello` are two `String` instances that happen to hold the same data.

*/
let hello = "hello"
let aDifferentHello = "hello"
/*: 
 
You’ve seen that the type of an instance determines what kind of data it contains and how you can use it in code.
 
You’ve also performed a few operations on instances: adding strings together and doing calculations on numbers. But instances can be a lot more powerful than that.
 
In this playground, you’ll learn more about creating and using instances, including accessing their values and behaviors.
 
Next, learn some new ways to create instances.

[Previous](@previous)  |  page 2 of 17  |  [Next: Creating an Instance](@next)
*/
