/*:
 ## For Instance
 
You’ve learned about types in Swift and how they’re similar to types of things in the real world.
 
For every type in the real world, there are many actual physical instances:
 
- For the type “Car” there are countless individual variations on the road, each with its own mileage history, make, model, color, fuel level, scratches, and dents. Each car also has a particular set of behaviors: its own methods for starting, braking, shifting, and the like.
 
 
- For the type “City,” each instance of a city has a different name, population, location, and landmarks. And a city has certain methods for getting things done like responding to emergencies or collecting garbage.
 
The type defines or describes the properties and behaviors of a particular kind of thing. But each concrete example of the type — each car, each city — is a separate, independent instance of the type.
 
Imagine two cars of the same make and model, built in the same year. One is speeding down the highway on a trip; the other is out of gas by the side of the road. Same type, but two different instances.
 
Or think of two cities. The location of each city will be different. A landmark in one city might draw lots of tourists, but a landmark in another might be in disrepair and get few visitors. Both are cities, but each individual city can be very different from the next.
 
In programming, you can create and use different instances of a given type. Each instance has its own set of property values, and each instance can perform behavior independent of other instances.
 
Next, see some instances in code.
 
page 1 of 17  |  [Next: Instances](@next)
 */
