/*:
 ## What Does This Do?
 
 One of the most important skills you'll develop as a programmer is how to find and understand things in documentation. Learning this skill is much more valuable than remembering a list of instance methods or properties.
 
 If you’re trying to understand code that’s already been written, you can just Option-click a type, method, or property and it will show you useful information:
 
 ![Documentation popup from option-click](OptionClickMethod.png)
 
 - callout(Exercise): Option-click the values and methods below to view the documentation in a popup.
*/
let example = "It was the best of times"
example.hasPrefix("It was")
example.hasSuffix("times")
example.isEmpty


/*:
 Next see another way to see help while looking at code.
 
[Previous](@previous)  |  page 9 of 17  |  [Next: Quick Help](@next)
*/
