/*:
 ## Lists
 
 People use lists all the time. You might have a to do list, a wish list, an iTunes playlist, even a bucket list. Lists are very useful and they’re common in coding too.
 
 When you learned about strings, you created lists of things in some of the exercises. You made lists by joining multiple strings together with the `\n` newline character.
 
 ```
 let shoppingList = "Eggs" + "\n" + "Tomatoes" + "\n" + ...
 ```
 
 This code gives you a list that displays nicely on the screen, but there’s not much else you can do with it. Think of some other things you might want to do with a list:

 - How could you call a function on each member of the list without needing to retype them all?
 - How could you double-check whether you've already added something to the list?
 - If your list has grown to hundreds of items, could you easily remove the one that says “Tomatoes”?
 - What if your list isn't made of `String` values, but something else, like a list of prices that you'd like to add up?
 - What's the first thing? The last thing? The 24th thing?
 - How many things are there?
 - How can you rearrange the list?

 In Swift, a list is called an _array_.
 
  Think of any iOS app you’ve ever used where you’ve scrolled through a list of things. That app is almost certainly using an array.
  
 In this lesson you’ll learn about creating and working with arrays.

page 1 of 17  |  [Next: Array Literals](@next)
*/
